import React from 'react';
import Search from '../../extra/associationSearch';
import { approvalBusinessData } from '../../../../services/globalSearchApi';
import s from './index.less';
import { message } from 'antd';
import { BaseComponentProps } from '@/apollo-table/component/interface';

export default function(props: BaseComponentProps) {
    const onChange = (changedValue: [] = []) => {
        const { value, columnConfig = {}, onChange } = props;
        const { maxCount } = columnConfig;
        if (maxCount && maxCount <= value.length && changedValue.length > value.length) {
            message.warn(`最多选择${maxCount}`);
            return;
        }
        onChange && onChange(changedValue);
    };
    return (
        <div className={s.searchContainer}>
            <Search
                mode={props.isMultiple ? 'multiple' : false}
                maxCount={2}
                request={(val) => {
                    return approvalBusinessData({
                        name: val,
                        fieldValueName: props.type,
                        paramsJson: JSON.stringify(props.paramsJson),
                    });
                }}
                fieldNames={{ value: 'fieldValueValue', label: 'fieldValueName' }}
                {...props}
                onChange={onChange}
                initDataType="onfocus"
            />
        </div>
    );
}
